aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbuild.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 69798ce8..3cba8fc2 100755
--- a/build.sh
+++ b/build.sh
@@ -23,7 +23,9 @@ check() {
if [ -s "$file" ]; then
rm "$file"
elif ! [ -e "$file" ]; then
- : "Ignore not existing files"
+ rm "$file" || {
+ : "Ignore not existing files"
+ }
else
echo "ERROR: '$file' is not a symlink. Not removing it." 1>&2
exit 1